Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 756)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 828)
@@ -1,21 +1,23 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\GUI-config\PostU.pas',0,1,34,62,10,0,0
-File_1=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,87,16,95,0,0
-File_2=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,1,1,310,0,0
-File_3=SourceModule,'c:\program files\borland\delphi7\source\vcl\OleCtrls.pas',0,1,85,27,96,0,0
-File_4=SourceModule,'P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas',0,1,44,29,45,0,0
-File_5=SourceModule,'P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas',0,1,1104,11,1110,0,0
-File_6=SourceModule,'P:\vista\GUI-config\BDK32\Source\TRPCB.pas',0,1,1045,1,1059,0,0
-File_7=SourceModule,'P:\vista\GUI-config\CreateTemplateU.pas',0,1,140,11,145,0,0
-File_8=SourceModule,'P:\vista\GUI-config\SetSelU.pas',0,1,1,1,1,1,0
+File_0=SourceModule,'P:\vista\GUI-config\MainU.dfm',0,1,1,1,1,0,0
+File_1=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas',0,1,293,1,305,0,0
+File_2=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORFn.pas',0,1,613,1,623,0,0
+File_3=SourceModule,'P:\vista\GUI-config\BDK32\Source\wsockc.pas',0,1,1333,1,1346,0,0
+File_4=SourceModule,'P:\vista\GUI-config\PostU.pas',0,1,34,62,10,0,0
+File_5=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,87,16,95,0,0
+File_6=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,1,1,310,0,0
+File_7=SourceModule,'c:\program files\borland\delphi7\source\vcl\OleCtrls.pas',0,1,85,27,96,0,0
+File_8=SourceModule,'P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas',0,1,44,29,45,0,0
+File_9=SourceModule,'P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas',0,1,1104,11,1110,0,0
 
 [Modules]
 Module0=P:\vista\GUI-config\MainU.pas
-Module1=P:\Vista\GUI-config\CPRS-Lib\ORFn.pas
+Module1=P:\vista\GUI-config\FMErrorU.pas
 Module2=P:\vista\GUI-config\GUI_Config.dpr
-Module3=P:\vista\GUI-config\AboutU.pas
-Module4=P:\vista\GUI-config\frmSplash.pas
-Module5=P:\vista\GUI-config\BDK32\Source\wsockc.pas
-Count=6
+Module3=P:\vista\GUI-config\frmSplash.pas
+Module4=P:\vista\GUI-config\AboutU.pas
+Module5=P:\vista\GUI-config\LookupU.pas
+Module6=P:\vista\GUI-config\DebugU.pas
+Count=7
 EditWindowCount=1
 
@@ -23,12 +25,17 @@
 ModuleType=SourceModule
 FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\CPRS-Lib\ORFn.pas]
+FormOnTop=1
+
+[P:\vista\GUI-config\FMErrorU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\GUI-config\GUI_Config.dpr]
 ModuleType=SourceModule
 FormState=0
 FormOnTop=0
 
-[P:\vista\GUI-config\GUI_Config.dpr]
+[P:\vista\GUI-config\frmSplash.pas]
 ModuleType=SourceModule
 FormState=0
@@ -37,13 +44,13 @@
 [P:\vista\GUI-config\AboutU.pas]
 ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\vista\GUI-config\frmSplash.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\vista\GUI-config\BDK32\Source\wsockc.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\LookupU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\DebugU.pas]
 ModuleType=SourceModule
 FormState=0
@@ -55,5 +62,5 @@
 
 [EditWindow0]
-ViewCount=6
+ViewCount=7
 CurrentView=0
 View0=0
@@ -63,47 +70,57 @@
 View4=4
 View5=5
+View6=6
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
 Create=1
 Visible=1
-State=0
-Left=167
-Top=159
-Width=775
-Height=552
-MaxLeft=-782
-MaxTop=261
-ClientWidth=767
-ClientHeight=518
+State=2
+Left=440
+Top=155
+Width=584
+Height=330
+MaxLeft=-4
+MaxTop=104
+MaxWidth=1032
+MaxHeight=634
+ClientWidth=1024
+ClientHeight=600
 LeftPanelSize=0
 LeftPanelClients=CodeExplorer@EditWindow0
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=155
+BottomPanelSize=0
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=0000040000000000FF02000000000000029B00000000000000010000000000000000000000000100000000FF020000000000000100000000FF0200000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400010000000B0000004D657373616765566965770004000000000000029B00000000000000010000000000000000000000000100000000FF020000000000000100000000BC030000000000000100000000BC030000000000000100000000000400000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
 Module=P:\vista\GUI-config\MainU.pas
+CursorX=17
+CursorY=1782
+TopLine=1775
+LeftCol=1
+
+[View1]
+Module=P:\vista\GUI-config\DebugU.pas
 CursorX=1
-CursorY=1588
-TopLine=1579
-LeftCol=1
-
-[View1]
-Module=P:\Vista\GUI-config\CPRS-Lib\ORFn.pas
-CursorX=1
-CursorY=623
-TopLine=613
+CursorY=26
+TopLine=1
 LeftCol=1
 
 [View2]
-Module=P:\vista\GUI-config\BDK32\Source\wsockc.pas
-CursorX=1
-CursorY=1479
-TopLine=1466
+Module=P:\vista\GUI-config\FMErrorU.pas
+CursorX=36
+CursorY=53
+TopLine=45
 LeftCol=1
 
 [View3]
+Module=P:\vista\GUI-config\LookupU.pas
+CursorX=55
+CursorY=112
+TopLine=25
+LeftCol=1
+
+[View4]
 Module=P:\vista\GUI-config\AboutU.pas
 CursorX=1
@@ -112,20 +129,20 @@
 LeftCol=1
 
-[View4]
+[View5]
 Module=P:\vista\GUI-config\frmSplash.pas
-CursorX=1
-CursorY=67
+CursorX=26
+CursorY=60
 TopLine=56
 LeftCol=1
 
-[View5]
+[View6]
 Module=P:\vista\GUI-config\GUI_Config.dpr
 CursorX=1
 CursorY=66
-TopLine=46
+TopLine=55
 LeftCol=1
 
 [Watches]
-Count=5
+Count=6
 Watch0='MainMenu.items.count',256,0,18,1,0,'Watches'
 Watch1='tempInfo',256,0,18,1,0,'Watches'
@@ -133,4 +150,5 @@
 Watch3='Strings.count',256,0,18,1,0,'Watches'
 Watch4='Self.Height',256,0,18,1,0,'Watches'
+Watch5='SettingsPageControl.ActivePageindex',256,0,18,1,0,'Watches'
 
 [WatchWindow]
@@ -140,12 +158,12 @@
 Visible=0
 State=0
-Left=0
-Top=0
+Left=125
+Top=202
 Width=764
-Height=129
+Height=235
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=756
-ClientHeight=103
+ClientHeight=209
 TBDockHeight=103
 LRDockWidth=421
@@ -153,17 +171,14 @@
 
 [Breakpoints]
-Count=12
-Breakpoint0='P:\vista\GUI-config\MainU.pas',1879,'',0,1,'',1,0,0,'',1,'','',''
+Count=9
+Breakpoint0='P:\vista\GUI-config\MainU.pas',1886,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint1='P:\vista\GUI-config\AboutU.pas',109,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint2='P:\vista\GUI-config\MainU.pas',2081,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint3='P:\vista\GUI-config\MainU.pas',2088,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint4='P:\vista\GUI-config\MainU.pas',2104,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint5='P:\vista\GUI-config\MainU.pas',2001,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint6='P:\vista\GUI-config\MainU.pas',2036,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint7='P:\vista\GUI-config\MainU.pas',414,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint8='P:\vista\GUI-config\MainU.pas',1295,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint9='P:\vista\GUI-config\MainU.pas',2199,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint10='P:\vista\GUI-config\MainU.pas',1586,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint11='P:\vista\GUI-config\MainU.pas',1592,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint2='P:\vista\GUI-config\MainU.pas',2088,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint3='P:\vista\GUI-config\MainU.pas',2095,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint4='P:\vista\GUI-config\MainU.pas',2111,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint5='P:\vista\GUI-config\MainU.pas',2008,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint6='P:\vista\GUI-config\MainU.pas',2206,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint7='P:\vista\GUI-config\MainU.pas',1593,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint8='P:\vista\GUI-config\MainU.pas',1750,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -173,12 +188,14 @@
 Create=1
 Visible=1
-State=0
-Left=0
-Top=0
-Width=1024
+State=2
+Left=887
+Top=173
+Width=137
 Height=112
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=1016
+MaxWidth=1032
+MaxHeight=112
+ClientWidth=1024
 ClientHeight=78
 
@@ -219,6 +236,6 @@
 Visible=0
 State=0
-Left=0
-Top=0
+Left=145
+Top=114
 Width=800
 Height=561
@@ -260,8 +277,8 @@
 LRDockWidth=250
 Dockable=1
-SplitPos=73
+SplitPos=114
 ArrangeBy=Name
-SelectedItem=OnClick
-ExpandedItems=Anchors,Menu,Options
+SelectedItem=Caption
+ExpandedItems=Menu,Options
 HiddenCategories=Legacy
 
@@ -292,12 +309,12 @@
 Visible=0
 State=0
-Left=0
-Top=0
-Width=1024
-Height=210
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=1016
-ClientHeight=184
+Left=417
+Top=181
+Width=416
+Height=437
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=408
+ClientHeight=411
 TBDockHeight=355
 LRDockWidth=233
@@ -466,13 +483,13 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=1
+Visible=0
 State=0
 Left=12
 Top=0
-Width=755
+Width=1012
 Height=155
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=755
+ClientWidth=1012
 ClientHeight=155
 TBDockHeight=155
@@ -488,6 +505,6 @@
 Visible=1
 State=0
-Left=12
-Top=139
+Left=16
+Top=128
 Width=266
 Height=577
@@ -500,5 +517,5 @@
 Dockable=1
 TabPosition=0
-ActiveTab=Object Inspector
+ActiveTab=Object TreeView
 TabDockClients=PropertyInspector,ObjectTree
 
